## com.lowagie.text.html.simpleparser
Class IncCell

    java.lang.Object
      com.lowagie.text.html.simpleparser.IncCell

All Implemented Interfaces:
  Element, TextElementArray

    public class IncCell

extends java.lang.Object
implements TextElementArray

Author:
  psoares

Field Summary
`private PdfPCell` `cell`
`private java.util.ArrayList` `chunks`

Fields inherited from interface com.lowagie.text.Element

`ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, HEADER, IMGRAW, IMGTEMPLATE, JBIG2, JPEG, JPEG2000, KEYWORDS, LIST, LISTITEM, MARKED, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE, YMARK`

Constructor Summary
`IncCell(java.lang.String tag, ChainedProperties props)` Creates a new instance of IncCell

Method Summary
`boolean` `add(java.lang.Object o)` Adds an object to the `TextElementArray`.
`PdfPCell` `getCell()`
`java.util.ArrayList` `getChunks()` Gets all the chunks in this element.
`boolean` `isContent()` Checks if this element is a content object.
`boolean` `isNestable()` Checks if this element is nestable.
`boolean` `process(ElementListener listener)` Processes the element by adding it (or the different parts) to an `ElementListener`.
`int` `type()` Gets the type of the text element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.lowagie.text.Element
`toString`

Field Detail

### chunks

    private java.util.ArrayList chunks

### cell

    private PdfPCell cell

Constructor Detail

### IncCell

    public IncCell(java.lang.String tag,
                   ChainedProperties props)

  Creates a new instance of IncCell

Method Detail

### add

    public boolean add(java.lang.Object o)

  Description copied from interface: `TextElementArray`
  Adds an object to the `TextElementArray`.

  Specified by:
    `add` in interface `TextElementArray`
  Parameters:
    `o` - an object that has to be added
  Returns:
    `true` if the addition succeeded; `false` otherwise

### getChunks

    public java.util.ArrayList getChunks()

  Description copied from interface: `Element`
  Gets all the chunks in this element.

  Specified by:
    `getChunks` in interface `Element`
  Returns:
    an `ArrayList`

### process

    public boolean process(ElementListener listener)

  Description copied from interface: `Element`
  Processes the element by adding it (or the different parts) to an `ElementListener`.

  Specified by:
    `process` in interface `Element`
  Parameters:
    `listener` - an `ElementListener`
  Returns:
    `true` if the element was processed successfully

### type

    public int type()

  Description copied from interface: `Element`
  Gets the type of the text element.

  Specified by:
    `type` in interface `Element`
  Returns:
    a type

### getCell

    public PdfPCell getCell()

### isContent

    public boolean isContent()

  Description copied from interface: `Element`
  Checks if this element is a content object. If not, it's a metadata object.

  Specified by:
    `isContent` in interface `Element`
  Returns:
    true if this is a 'content' element; false if this is a 'metadata' element
  Since:
    iText 2.0.8
  See Also:
    `Element.isContent()`

### isNestable

    public boolean isNestable()

  Description copied from interface: `Element`
  Checks if this element is nestable.

  Specified by:
    `isNestable` in interface `Element`
  Returns:
    true if this element can be nested inside other elements.
  Since:
    iText 2.0.8
  See Also:
    `Element.isNestable()`

Hosted by Hostbasket